qx.Class.define("pf.ui.ConfirmDialog",
{
    extend: pf.ui.DialogWindow,

    construct: function() {
        this.base(arguments);
        
        this.setCaption("Confirmation");
        this.setIcon("pf/image/warning.png");

        this.setLayout(new qx.ui.layout.VBox(10));

        this._message = new qx.ui.basic.Atom();
        this._message.setRich(true);
        this._message.setIcon("pf/image/dialog-warning.png");
        this.add(this._message);

        var layout = new qx.ui.layout.HBox(10, "right");
        var rc = new qx.ui.container.Composite(layout);
        this.add(rc);

        var btn = new qx.ui.form.Button("Cancel", "pf/image/cancel.png");
        btn.addListener("execute", function(ev) {
                this._cb.call(this._cbclosure, false);
                this.close();
            }, this);
        rc.add(btn);
        var btn = new qx.ui.form.Button("OK", "pf/image/ok.png");
        btn.addListener("execute", function(ev) {
                this._cb.call(this._cbclosure, true);
                this.close();
            }, this);
        rc.add(btn);
    },

    members:
    {
        confirm: function(txt, cb, self) {
            this._message.setLabel(txt);
            
            this._cb = cb;
            if (self) {
                this._cbclosure = self;
            } else {
                this._cbclosure = this;
            }
            
            this.open();
        }
    }
});  
