qx.Class.define("pf.ui.PromptDialog",
{
    extend: pf.ui.DialogWindow,

    construct: function() {
        this.base(arguments);
        
        this.setCaption("Prompt");
        this.setIcon("pf/image/prompt.png");

        this.setLayout(new qx.ui.layout.VBox(10));

        this._message = new qx.ui.basic.Atom();
        this._message.setRich(true);
        this._message.setIcon("pf/image/dialog-prompt.png");
        this.add(this._message);

        this._value = new qx.ui.form.TextField();
        this.add(this._value);

        var layout = new qx.ui.layout.HBox(10, "right");
        var rc = new qx.ui.container.Composite(layout);
        this.add(rc);

        var btn = new qx.ui.form.Button("Cancel", "pf/image/cancel.png");
        btn.addListener("execute", function(ev) {
                this._cb.call(this._cbclosure, null);
                this.close();
            }, this);
        rc.add(btn);
        var btn = new qx.ui.form.Button("OK", "pf/image/ok.png");
        btn.addListener("execute", function(ev) {
                var value = this._value.getValue();
                this._cb.call(this._cbclosure, value);
                this.close();
            }, this);
        rc.add(btn);
    },

    members:
    {
        prompt: function(txt, value, cb, self) {
            this._message.setLabel(txt);
            this._value.setValue(value);
            
            this._cb = cb;
            if (self) {
                this._cbclosure = self;
            } else {
                this._cbclosure = this;
            }
            this.open();
        }
    }
});  
